Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task
Class Deadlines

    java.lang.Object
      org.jbpm.task.Deadlines

All Implemented Interfaces:
  Externalizable, Serializable

    @Embeddable
    public class Deadlines

extends Object
implements Externalizable

See Also:
  Serialized Form

Constructor Summary
`Deadlines()`

Method Summary
`boolean` | `equals(Object obj)`
`List<Deadline>` | `getEndDeadlines()`
`List<Deadline>` | `getStartDeadlines()`
`int` | `hashCode()`
`void` | `readExternal(ObjectInput in)`
`void` | `setEndDeadlines(List<Deadline> endDeadlines)`
`void` | `setStartDeadlines(List<Deadline> startDeadlines)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Deadlines

    public Deadlines()

Method Detail

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Throws:
    `IOException`
    `ClassNotFoundException`

### getStartDeadlines

    public List<Deadline> getStartDeadlines()

### setStartDeadlines

    public void setStartDeadlines(List<Deadline> startDeadlines)

### getEndDeadlines

    public List<Deadline> getEndDeadlines()

### setEndDeadlines

    public void setEndDeadlines(List<Deadline> endDeadlines)

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 JBoss by Red Hat. All Rights Reserved.